Bug 495005 - nanny does not default to webservice query string when no query/expect string specified.
nanny does not default to webservice query string when no query/expect strin...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: piranha (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks: 498908
  Show dependency treegraph
 
Reported: 2009-04-08 22:39 EDT by Wade Mealing
Modified: 2016-04-26 12:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 498908 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:58:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Enable default string. (894 bytes, patch)
2009-04-08 23:12 EDT, Wade Mealing
no flags Details | Diff

  None (edit)
Description Wade Mealing 2009-04-08 22:39:33 EDT
Description of problem:

The nanny man page specifies..

-x|--expect_str= ARG

             - snip -

             If  this  option is omitted then no attempt to receive data will
             occur EXCEPT if port = 80 and send_str is also omitted, in which
             case  a  web  service is assumed and an http test string will be
             sent and expected  (for  backwards  compatibility  with  earlier
             releases of piranha).

             - snip -

Although this doesn't seem to be the how the system behaves.  Instead the code returns and the error code is gobbled up by the forking program.

       if ((port == 80) && (send_str == NULL) && (expect_str == NULL)
           && (send_program == NULL)) {
               fprintf (stderr, _("nanny: no monitor configured\n"));

No Default web service is assumed and no http test string is sent.

Version-Release number of selected component (if applicable):

Piranah 0.8.4 11

How reproducible:

Every time

Steps to Reproduce:
1. Configure a service in piranah to monitor.
2. Do not configure a send and expect string
3. Start probe
  
Actual results:

lvs[25207]: nanny for child virtual-http/rs1 died! shutting down lvs
lvs[25207]: nanny for child virtual-http/rs2 died! shutting down lvs

Expected results:

Use a default webservice query: Server to seem to be up.

lvs[27043]: create_monitor for virtual-http/rs1 running as pid 27053
nanny[27054]: nanny: no monitor configured, assuming web service on port

Additional info:

Patch to make happen attached.  

Props to Ranjith Rajaram in helping out with the patch.
Comment 1 Wade Mealing 2009-04-08 23:12:25 EDT
Created attachment 338838 [details]
Enable default string.
Comment 2 Marek Grac 2009-05-04 08:02:30 EDT
Thanks for patch, I changed a bit so it will work as before for non-80 port.
Comment 4 Chris Ward 2009-07-03 14:29:44 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 6 errata-xmlrpc 2009-09-02 07:58:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1396.html

Note You need to log in before you can comment on or make changes to this bug.